Subject: Re: BUG? locking issue(networking?) with latest git

From: Jarek Poplawski <[email-masked]>
Date: Thu, 4 Sep 2008 07:21:56 +0000

On 03-09-2008 13:22, Denys Fedoryshchenko wrote:
> I am getting strange lockup, all operations (tc, ifconfig,pppd) after few days running pppoe-server.
> 
> Programgs getting blocked very strange way, i am not able to kill them even.
> Softlockup detection enabled, lock dependencies (except lock dependency engine debugging), 
> RT mutexes and deadlock detection enabled too.
> 
> I notice this bug few weeks ago, even before latest patches, and seems it still remains.
> 

Do you mean this didn't happen with some 2.6.27-rc's? (There was quite
substantial change in ppp_generic with lock_kernel() in 2.6.27-rc1.)

> 
> Here is result of SysRQ +T:
> 

Alas it shows only some tasks waiting for locks. Maybe it's enough for
someone with better ppp knowledge, but unless there is such a response
I guess you should better try with PROVE_LOCKING turned on yet.

Jarek P.